#---------------------------------------------------------------------------------------------------
# %L                                                                                               -
# chvote-pact                                                                                      -
# %%                                                                                               -
# Copyright (C) 2016 - 2018 République et Canton de Genève                                         -
# %%                                                                                               -
# This program is free software: you can redistribute it and/or modify                             -
# it under the terms of the GNU Affero General Public License as published by                      -
# the Free Software Foundation, either version 3 of the License, or                                -
# (at your option) any later version.                                                              -
#                                                                                                  -
# This program is distributed in the hope that it will be useful,                                  -
# but WITHOUT ANY WARRANTY; without even the implied warranty of                                   -
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                     -
# GNU General Public License for more details.                                                     -
#                                                                                                  -
# You should have received a copy of the GNU Affero General Public License                         -
# along with this program. If not, see <http://www.gnu.org/licenses/>.                             -
# L%                                                                                               -
#---------------------------------------------------------------------------------------------------

server:
  port: 47646
  servlet:
    context-path: /mock

env:
  timezone: Europe/Zurich

lag: 100
swagger:
  path-mapping: /mock
  host:
logging.level.org.springframework.web.filter.CommonsRequestLoggingFilter: DEBUG
operation.register.temporaryFile.ttl: 3600000

spring:
  jpa:
    database-platform: org.hibernate.dialect.H2Dialect
    properties:
      hibernate:
        show_sql: true
        use_sql_comments: true
        format_sql: true
    hibernate:
      ddl-auto: none

  datasource:
    driver-class-name: org.h2.Driver
    url: jdbc:h2:tcp://localhost:47645/mem:test;MODE=ORACLE;DB_CLOSE_DELAY=-1
    username: h2_test
    password: h2_test
  h2:
    console:
      enabled: true